Page MenuHomePhabricator

Changes to namespaces are not highlighted as requested if 'Group results by page' is enabled
Closed, ResolvedPublic

Description

  1. On RC page enable 'Group results by page' option
  2. Select the namespace filter, e.g. 'Talk', and select some highlighting.
  3. The changes to Talk pages won't be highlighted.
  4. Disable 'Group results by page' - all changes will be highlighted.


The same filter selection but without 'Group results by page' option

Note: the issue of Logged actions selected by namespace filter but not being highlighted filed separately as T174732: Logged actions selected by namespace filters cannot be highlighted

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2017, 10:26 PM
Etonkovidova renamed this task from Namespace filter does not display highlight option 'Group results by page' is enabled to Namespace filter does not display highlight option if 'Group results by page' is enabled.Aug 31 2017, 10:57 PM
Mattflaschen-WMF renamed this task from Namespace filter does not display highlight option if 'Group results by page' is enabled to Changes to namespaces are not highlighted as requested if 'Group results by page' is enabled.Sep 12 2017, 6:23 PM
jmatazzoni triaged this task as High priority.Sep 12 2017, 7:02 PM
Mooeypoo added a subscriber: Mooeypoo.

Some of the results seem to not be properly tagged with the 'mw-changeslist-ns-1' class in the backend. Fixing.

Change 377682 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Actually apply proper classes to grouped pages

https://gerrit.wikimedia.org/r/377682

Change 377682 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Actually apply proper classes to grouped pages

https://gerrit.wikimedia.org/r/377682

Checked the fix in betalabs. The results fetched by the namespace filters will be highlighted when the option 'Group results by page' is enabled.

Etonkovidova closed this task as Resolved.Sep 14 2017, 12:04 AM